Persona is no longer an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 416282 - Seamonkey/xpfe needs patch for bug 376473
: Seamonkey/xpfe needs patch for bug 376473
: fixed-seamonkey1.1.9, fixed1.8.1.13, fixed1.8.1.15
Product: SeaMonkey
Classification: Client Software
Component: General (show other bugs)
: SeaMonkey 1.1 Branch
: All All
: -- normal (vote)
: ---
Assigned To: Bruno 'Aqualon' Escherl
Depends on: 376473
  Show dependency treegraph
Reported: 2008-02-07 20:11 PST by Daniel Veditz [:dveditz]
Modified: 2008-03-14 06:09 PDT (History)
2 users (show)
dveditz: blocking‑seamonkey1.1.9+
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---

Increase timeout to 1000 (3.05 KB, patch)
2008-03-12 10:49 PDT, Bruno 'Aqualon' Escherl
dveditz: review+
neil: superreview+
dveditz: approval1.8.1.13+
Details | Diff | Splinter Review

Description Daniel Veditz [:dveditz] 2008-02-07 20:11:16 PST
bug 376473 is a way to trick users into clicking various OK dialogs that don't have a sufficient timeout after hiding the dialog and refocusing. It looks like only the Firefox/toolkit versions of those dialogs got patched, Seamonkey 1.1.x has its own versions of commondialog.js and nsHelperAppDlg.js.
Comment 1 Robert Kaiser 2008-03-12 09:33:33 PDT
Dan, were you planning to do this? Looks like has been relbranched and we still have no fix for this :(
Comment 2 Bruno 'Aqualon' Escherl 2008-03-12 10:49:01 PDT
Created attachment 308905 [details] [diff] [review]
Increase timeout to 1000

I ported the patch from bug 376473, but I don't know who can do review here. Robert, can you please set the flags accordingly?
Comment 3 Robert Kaiser 2008-03-12 10:52:49 PDT
Comment on attachment 308905 [details] [diff] [review]
Increase timeout to 1000

Setting reviewers that fit this bug.

Dan, can we land this on the relbranch as well? that would be easiest for us to deal with. Requesting approval for that branch.
Comment 4 Daniel Veditz [:dveditz] 2008-03-13 10:42:38 PDT
Comment on attachment 308905 [details] [diff] [review]
Increase timeout to 1000

Comment 5 Daniel Veditz [:dveditz] 2008-03-13 11:24:22 PDT
Comment on attachment 308905 [details] [diff] [review]
Increase timeout to 1000

approved for relbranch, a=dveditz for release-drivers

Please also land on the 1.8 branch itself, and add _both_ the fixed1.8.1.13 and fixed1.8.1.14 keywords (so your qa can verify it gets fixed in both places)
Comment 6 Robert Kaiser 2008-03-13 11:42:25 PDT
Landed on both the 1.8.13 relbranch and the 1.8 branch, thanks a lot!

Note You need to log in before you can comment on or make changes to this bug.